POST api/Zapier/InsertNote

Insert notes.

Request Information

URI Parameters

None.

Body Parameters

NoteIntegrationModel
NameDescriptionTypeAdditional information
database_id

globally unique identifier

None.

subject

string

None.

insured_database_id

globally unique identifier

None.

insured_email

string

None.

insured_first_name

string

None.

insured_last_name

string

None.

insured_commercial_name

string

None.

create_date

string

None.

creator_name

string

None.

type

string

None.

parent_note_id

globally unique identifier

None.

hide

boolean

None.

policy_database_id

globally unique identifier

None.

policies_database_ids

Collection of globally unique identifier

None.

origin

PolicyOrigin

None.

taskId

globally unique identifier

None.

is_sticky_note

boolean

None.

sticky_note_color

StickyNoteColor

None.

opportunity_database_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "database_id": "d5adabd0-5fed-473b-9ac9-fbcf8a741181",
  "subject": "sample string 2",
  "insured_database_id": "b9f1d149-e31a-4f19-bdf3-42021d7d9abf",
  "insured_email": "sample string 3",
  "insured_first_name": "sample string 4",
  "insured_last_name": "sample string 5",
  "insured_commercial_name": "sample string 6",
  "create_date": "sample string 7",
  "creator_name": "sample string 8",
  "type": "sample string 9",
  "parent_note_id": "d1b9a754-01f2-473c-a0bf-76ce467685f5",
  "hide": true,
  "policy_database_id": "9d02474a-df93-4c5c-a29c-1afa1439b2c4",
  "policies_database_ids": [
    "7b72c241-6154-4751-b97f-d2817bb3b827",
    "2f3566f1-e48a-4e4c-b5b8-9e1bd6bc1654"
  ],
  "origin": 0,
  "taskId": "7d83685a-6670-42c7-b974-3cd56d8cab99",
  "is_sticky_note": true,
  "sticky_note_color": 0,
  "opportunity_database_id": "36021107-0cfb-4568-bbea-d58db4ca7fde"
}

application/xml, text/xml

Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
  <CreateDate>sample string 7</CreateDate>
  <CreatorName>sample string 8</CreatorName>
  <DatabaseId>d5adabd0-5fed-473b-9ac9-fbcf8a741181</DatabaseId>
  <Hide>true</Hide>
  <InsuredCommercialName>sample string 6</InsuredCommercialName>
  <InsuredDatabaseId>b9f1d149-e31a-4f19-bdf3-42021d7d9abf</InsuredDatabaseId>
  <InsuredEmail>sample string 3</InsuredEmail>
  <InsuredFirstName>sample string 4</InsuredFirstName>
  <InsuredLastName>sample string 5</InsuredLastName>
  <IsStickyNote>true</IsStickyNote>
  <OpportunityDatabaseId>36021107-0cfb-4568-bbea-d58db4ca7fde</OpportunityDatabaseId>
  <Origin>Manual</Origin>
  <ParentNoteId>d1b9a754-01f2-473c-a0bf-76ce467685f5</ParentNoteId>
  <PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:guid>7b72c241-6154-4751-b97f-d2817bb3b827</d2p1:guid>
    <d2p1:guid>2f3566f1-e48a-4e4c-b5b8-9e1bd6bc1654</d2p1:guid>
  </PoliciesDatabaseIds>
  <PolicyDatabaseId>9d02474a-df93-4c5c-a29c-1afa1439b2c4</PolicyDatabaseId>
  <StickyNoteColor>None</StickyNoteColor>
  <Subject>sample string 2</Subject>
  <TaskId>7d83685a-6670-42c7-b974-3cd56d8cab99</TaskId>
  <Type>sample string 9</Type>
</NoteIntegrationModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResult
NameDescriptionTypeAdditional information
Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 0,
  "message": "sample string 1"
}

application/xml, text/xml

Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 1</Message>
  <Status>Error</Status>
</NowCertsApiResult>